Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network96.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
96.0.0.0
Broadcast address
96.127.255.255
First usable
96.0.0.1
Last usable
96.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 60000000 · Integer 1610612736 to 1619001343
Reverse DNS zones
0.96.in-addr.arpa
1.96.in-addr.arpa
2.96.in-addr.arpa
3.96.in-addr.arpa
4.96.in-addr.arpa
5.96.in-addr.arpa
6.96.in-addr.arpa
7.96.in-addr.arpa
8.96.in-addr.arpa
9.96.in-addr.arpa
10.96.in-addr.arpa
11.96.in-addr.arpa
12.96.in-addr.arpa
13.96.in-addr.arpa
14.96.in-addr.arpa
15.96.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100000.00000000.00000000.0000000096.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01100000.00000000.00000000.0000000096.0.0.0
Broadcast01100000.01111111.11111111.1111111196.127.255.255
Split into smaller subnets/19

96.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
196.0.0.0/1996.0.0.1 to 96.0.31.25496.0.31.2558,190
296.0.32.0/1996.0.32.1 to 96.0.63.25496.0.63.2558,190
396.0.64.0/1996.0.64.1 to 96.0.95.25496.0.95.2558,190
496.0.96.0/1996.0.96.1 to 96.0.127.25496.0.127.2558,190
596.0.128.0/1996.0.128.1 to 96.0.159.25496.0.159.2558,190
696.0.160.0/1996.0.160.1 to 96.0.191.25496.0.191.2558,190
796.0.192.0/1996.0.192.1 to 96.0.223.25496.0.223.2558,190
896.0.224.0/1996.0.224.1 to 96.0.255.25496.0.255.2558,190
996.1.0.0/1996.1.0.1 to 96.1.31.25496.1.31.2558,190
1096.1.32.0/1996.1.32.1 to 96.1.63.25496.1.63.2558,190
1196.1.64.0/1996.1.64.1 to 96.1.95.25496.1.95.2558,190
1296.1.96.0/1996.1.96.1 to 96.1.127.25496.1.127.2558,190
1396.1.128.0/1996.1.128.1 to 96.1.159.25496.1.159.2558,190
1496.1.160.0/1996.1.160.1 to 96.1.191.25496.1.191.2558,190
1596.1.192.0/1996.1.192.1 to 96.1.223.25496.1.223.2558,190
1696.1.224.0/1996.1.224.1 to 96.1.255.25496.1.255.2558,190
1796.2.0.0/1996.2.0.1 to 96.2.31.25496.2.31.2558,190
1896.2.32.0/1996.2.32.1 to 96.2.63.25496.2.63.2558,190
1996.2.64.0/1996.2.64.1 to 96.2.95.25496.2.95.2558,190
2096.2.96.0/1996.2.96.1 to 96.2.127.25496.2.127.2558,190
2196.2.128.0/1996.2.128.1 to 96.2.159.25496.2.159.2558,190
2296.2.160.0/1996.2.160.1 to 96.2.191.25496.2.191.2558,190
2396.2.192.0/1996.2.192.1 to 96.2.223.25496.2.223.2558,190
2496.2.224.0/1996.2.224.1 to 96.2.255.25496.2.255.2558,190
2596.3.0.0/1996.3.0.1 to 96.3.31.25496.3.31.2558,190
2696.3.32.0/1996.3.32.1 to 96.3.63.25496.3.63.2558,190
2796.3.64.0/1996.3.64.1 to 96.3.95.25496.3.95.2558,190
2896.3.96.0/1996.3.96.1 to 96.3.127.25496.3.127.2558,190
2996.3.128.0/1996.3.128.1 to 96.3.159.25496.3.159.2558,190
3096.3.160.0/1996.3.160.1 to 96.3.191.25496.3.191.2558,190
3196.3.192.0/1996.3.192.1 to 96.3.223.25496.3.223.2558,190
3296.3.224.0/1996.3.224.1 to 96.3.255.25496.3.255.2558,190
3396.4.0.0/1996.4.0.1 to 96.4.31.25496.4.31.2558,190
3496.4.32.0/1996.4.32.1 to 96.4.63.25496.4.63.2558,190
3596.4.64.0/1996.4.64.1 to 96.4.95.25496.4.95.2558,190
3696.4.96.0/1996.4.96.1 to 96.4.127.25496.4.127.2558,190
3796.4.128.0/1996.4.128.1 to 96.4.159.25496.4.159.2558,190
3896.4.160.0/1996.4.160.1 to 96.4.191.25496.4.191.2558,190
3996.4.192.0/1996.4.192.1 to 96.4.223.25496.4.223.2558,190
4096.4.224.0/1996.4.224.1 to 96.4.255.25496.4.255.2558,190
4196.5.0.0/1996.5.0.1 to 96.5.31.25496.5.31.2558,190
4296.5.32.0/1996.5.32.1 to 96.5.63.25496.5.63.2558,190
4396.5.64.0/1996.5.64.1 to 96.5.95.25496.5.95.2558,190
4496.5.96.0/1996.5.96.1 to 96.5.127.25496.5.127.2558,190
4596.5.128.0/1996.5.128.1 to 96.5.159.25496.5.159.2558,190
4696.5.160.0/1996.5.160.1 to 96.5.191.25496.5.191.2558,190
4796.5.192.0/1996.5.192.1 to 96.5.223.25496.5.223.2558,190
4896.5.224.0/1996.5.224.1 to 96.5.255.25496.5.255.2558,190
4996.6.0.0/1996.6.0.1 to 96.6.31.25496.6.31.2558,190
5096.6.32.0/1996.6.32.1 to 96.6.63.25496.6.63.2558,190
5196.6.64.0/1996.6.64.1 to 96.6.95.25496.6.95.2558,190
5296.6.96.0/1996.6.96.1 to 96.6.127.25496.6.127.2558,190
5396.6.128.0/1996.6.128.1 to 96.6.159.25496.6.159.2558,190
5496.6.160.0/1996.6.160.1 to 96.6.191.25496.6.191.2558,190
5596.6.192.0/1996.6.192.1 to 96.6.223.25496.6.223.2558,190
5696.6.224.0/1996.6.224.1 to 96.6.255.25496.6.255.2558,190
5796.7.0.0/1996.7.0.1 to 96.7.31.25496.7.31.2558,190
5896.7.32.0/1996.7.32.1 to 96.7.63.25496.7.63.2558,190
5996.7.64.0/1996.7.64.1 to 96.7.95.25496.7.95.2558,190
6096.7.96.0/1996.7.96.1 to 96.7.127.25496.7.127.2558,190
6196.7.128.0/1996.7.128.1 to 96.7.159.25496.7.159.2558,190
6296.7.160.0/1996.7.160.1 to 96.7.191.25496.7.191.2558,190
6396.7.192.0/1996.7.192.1 to 96.7.223.25496.7.223.2558,190
6496.7.224.0/1996.7.224.1 to 96.7.255.25496.7.255.2558,190
6596.8.0.0/1996.8.0.1 to 96.8.31.25496.8.31.2558,190
6696.8.32.0/1996.8.32.1 to 96.8.63.25496.8.63.2558,190
6796.8.64.0/1996.8.64.1 to 96.8.95.25496.8.95.2558,190
6896.8.96.0/1996.8.96.1 to 96.8.127.25496.8.127.2558,190
6996.8.128.0/1996.8.128.1 to 96.8.159.25496.8.159.2558,190
7096.8.160.0/1996.8.160.1 to 96.8.191.25496.8.191.2558,190
7196.8.192.0/1996.8.192.1 to 96.8.223.25496.8.223.2558,190
7296.8.224.0/1996.8.224.1 to 96.8.255.25496.8.255.2558,190
7396.9.0.0/1996.9.0.1 to 96.9.31.25496.9.31.2558,190
7496.9.32.0/1996.9.32.1 to 96.9.63.25496.9.63.2558,190
7596.9.64.0/1996.9.64.1 to 96.9.95.25496.9.95.2558,190
7696.9.96.0/1996.9.96.1 to 96.9.127.25496.9.127.2558,190
7796.9.128.0/1996.9.128.1 to 96.9.159.25496.9.159.2558,190
7896.9.160.0/1996.9.160.1 to 96.9.191.25496.9.191.2558,190
7996.9.192.0/1996.9.192.1 to 96.9.223.25496.9.223.2558,190
8096.9.224.0/1996.9.224.1 to 96.9.255.25496.9.255.2558,190
8196.10.0.0/1996.10.0.1 to 96.10.31.25496.10.31.2558,190
8296.10.32.0/1996.10.32.1 to 96.10.63.25496.10.63.2558,190
8396.10.64.0/1996.10.64.1 to 96.10.95.25496.10.95.2558,190
8496.10.96.0/1996.10.96.1 to 96.10.127.25496.10.127.2558,190
8596.10.128.0/1996.10.128.1 to 96.10.159.25496.10.159.2558,190
8696.10.160.0/1996.10.160.1 to 96.10.191.25496.10.191.2558,190
8796.10.192.0/1996.10.192.1 to 96.10.223.25496.10.223.2558,190
8896.10.224.0/1996.10.224.1 to 96.10.255.25496.10.255.2558,190
8996.11.0.0/1996.11.0.1 to 96.11.31.25496.11.31.2558,190
9096.11.32.0/1996.11.32.1 to 96.11.63.25496.11.63.2558,190
9196.11.64.0/1996.11.64.1 to 96.11.95.25496.11.95.2558,190
9296.11.96.0/1996.11.96.1 to 96.11.127.25496.11.127.2558,190
9396.11.128.0/1996.11.128.1 to 96.11.159.25496.11.159.2558,190
9496.11.160.0/1996.11.160.1 to 96.11.191.25496.11.191.2558,190
9596.11.192.0/1996.11.192.1 to 96.11.223.25496.11.223.2558,190
9696.11.224.0/1996.11.224.1 to 96.11.255.25496.11.255.2558,190
9796.12.0.0/1996.12.0.1 to 96.12.31.25496.12.31.2558,190
9896.12.32.0/1996.12.32.1 to 96.12.63.25496.12.63.2558,190
9996.12.64.0/1996.12.64.1 to 96.12.95.25496.12.95.2558,190
10096.12.96.0/1996.12.96.1 to 96.12.127.25496.12.127.2558,190
10196.12.128.0/1996.12.128.1 to 96.12.159.25496.12.159.2558,190
10296.12.160.0/1996.12.160.1 to 96.12.191.25496.12.191.2558,190
10396.12.192.0/1996.12.192.1 to 96.12.223.25496.12.223.2558,190
10496.12.224.0/1996.12.224.1 to 96.12.255.25496.12.255.2558,190
10596.13.0.0/1996.13.0.1 to 96.13.31.25496.13.31.2558,190
10696.13.32.0/1996.13.32.1 to 96.13.63.25496.13.63.2558,190
10796.13.64.0/1996.13.64.1 to 96.13.95.25496.13.95.2558,190
10896.13.96.0/1996.13.96.1 to 96.13.127.25496.13.127.2558,190
10996.13.128.0/1996.13.128.1 to 96.13.159.25496.13.159.2558,190
11096.13.160.0/1996.13.160.1 to 96.13.191.25496.13.191.2558,190
11196.13.192.0/1996.13.192.1 to 96.13.223.25496.13.223.2558,190
11296.13.224.0/1996.13.224.1 to 96.13.255.25496.13.255.2558,190
11396.14.0.0/1996.14.0.1 to 96.14.31.25496.14.31.2558,190
11496.14.32.0/1996.14.32.1 to 96.14.63.25496.14.63.2558,190
11596.14.64.0/1996.14.64.1 to 96.14.95.25496.14.95.2558,190
11696.14.96.0/1996.14.96.1 to 96.14.127.25496.14.127.2558,190
11796.14.128.0/1996.14.128.1 to 96.14.159.25496.14.159.2558,190
11896.14.160.0/1996.14.160.1 to 96.14.191.25496.14.191.2558,190
11996.14.192.0/1996.14.192.1 to 96.14.223.25496.14.223.2558,190
12096.14.224.0/1996.14.224.1 to 96.14.255.25496.14.255.2558,190
12196.15.0.0/1996.15.0.1 to 96.15.31.25496.15.31.2558,190
12296.15.32.0/1996.15.32.1 to 96.15.63.25496.15.63.2558,190
12396.15.64.0/1996.15.64.1 to 96.15.95.25496.15.95.2558,190
12496.15.96.0/1996.15.96.1 to 96.15.127.25496.15.127.2558,190
12596.15.128.0/1996.15.128.1 to 96.15.159.25496.15.159.2558,190
12696.15.160.0/1996.15.160.1 to 96.15.191.25496.15.191.2558,190
12796.15.192.0/1996.15.192.1 to 96.15.223.25496.15.223.2558,190
12896.15.224.0/1996.15.224.1 to 96.15.255.25496.15.255.2558,190
12996.16.0.0/1996.16.0.1 to 96.16.31.25496.16.31.2558,190
13096.16.32.0/1996.16.32.1 to 96.16.63.25496.16.63.2558,190
13196.16.64.0/1996.16.64.1 to 96.16.95.25496.16.95.2558,190
13296.16.96.0/1996.16.96.1 to 96.16.127.25496.16.127.2558,190
13396.16.128.0/1996.16.128.1 to 96.16.159.25496.16.159.2558,190
13496.16.160.0/1996.16.160.1 to 96.16.191.25496.16.191.2558,190
13596.16.192.0/1996.16.192.1 to 96.16.223.25496.16.223.2558,190
13696.16.224.0/1996.16.224.1 to 96.16.255.25496.16.255.2558,190
13796.17.0.0/1996.17.0.1 to 96.17.31.25496.17.31.2558,190
13896.17.32.0/1996.17.32.1 to 96.17.63.25496.17.63.2558,190
13996.17.64.0/1996.17.64.1 to 96.17.95.25496.17.95.2558,190
14096.17.96.0/1996.17.96.1 to 96.17.127.25496.17.127.2558,190
14196.17.128.0/1996.17.128.1 to 96.17.159.25496.17.159.2558,190
14296.17.160.0/1996.17.160.1 to 96.17.191.25496.17.191.2558,190
14396.17.192.0/1996.17.192.1 to 96.17.223.25496.17.223.2558,190
14496.17.224.0/1996.17.224.1 to 96.17.255.25496.17.255.2558,190
14596.18.0.0/1996.18.0.1 to 96.18.31.25496.18.31.2558,190
14696.18.32.0/1996.18.32.1 to 96.18.63.25496.18.63.2558,190
14796.18.64.0/1996.18.64.1 to 96.18.95.25496.18.95.2558,190
14896.18.96.0/1996.18.96.1 to 96.18.127.25496.18.127.2558,190
14996.18.128.0/1996.18.128.1 to 96.18.159.25496.18.159.2558,190
15096.18.160.0/1996.18.160.1 to 96.18.191.25496.18.191.2558,190
15196.18.192.0/1996.18.192.1 to 96.18.223.25496.18.223.2558,190
15296.18.224.0/1996.18.224.1 to 96.18.255.25496.18.255.2558,190
15396.19.0.0/1996.19.0.1 to 96.19.31.25496.19.31.2558,190
15496.19.32.0/1996.19.32.1 to 96.19.63.25496.19.63.2558,190
15596.19.64.0/1996.19.64.1 to 96.19.95.25496.19.95.2558,190
15696.19.96.0/1996.19.96.1 to 96.19.127.25496.19.127.2558,190
15796.19.128.0/1996.19.128.1 to 96.19.159.25496.19.159.2558,190
15896.19.160.0/1996.19.160.1 to 96.19.191.25496.19.191.2558,190
15996.19.192.0/1996.19.192.1 to 96.19.223.25496.19.223.2558,190
16096.19.224.0/1996.19.224.1 to 96.19.255.25496.19.255.2558,190
16196.20.0.0/1996.20.0.1 to 96.20.31.25496.20.31.2558,190
16296.20.32.0/1996.20.32.1 to 96.20.63.25496.20.63.2558,190
16396.20.64.0/1996.20.64.1 to 96.20.95.25496.20.95.2558,190
16496.20.96.0/1996.20.96.1 to 96.20.127.25496.20.127.2558,190
16596.20.128.0/1996.20.128.1 to 96.20.159.25496.20.159.2558,190
16696.20.160.0/1996.20.160.1 to 96.20.191.25496.20.191.2558,190
16796.20.192.0/1996.20.192.1 to 96.20.223.25496.20.223.2558,190
16896.20.224.0/1996.20.224.1 to 96.20.255.25496.20.255.2558,190
16996.21.0.0/1996.21.0.1 to 96.21.31.25496.21.31.2558,190
17096.21.32.0/1996.21.32.1 to 96.21.63.25496.21.63.2558,190
17196.21.64.0/1996.21.64.1 to 96.21.95.25496.21.95.2558,190
17296.21.96.0/1996.21.96.1 to 96.21.127.25496.21.127.2558,190
17396.21.128.0/1996.21.128.1 to 96.21.159.25496.21.159.2558,190
17496.21.160.0/1996.21.160.1 to 96.21.191.25496.21.191.2558,190
17596.21.192.0/1996.21.192.1 to 96.21.223.25496.21.223.2558,190
17696.21.224.0/1996.21.224.1 to 96.21.255.25496.21.255.2558,190
17796.22.0.0/1996.22.0.1 to 96.22.31.25496.22.31.2558,190
17896.22.32.0/1996.22.32.1 to 96.22.63.25496.22.63.2558,190
17996.22.64.0/1996.22.64.1 to 96.22.95.25496.22.95.2558,190
18096.22.96.0/1996.22.96.1 to 96.22.127.25496.22.127.2558,190
18196.22.128.0/1996.22.128.1 to 96.22.159.25496.22.159.2558,190
18296.22.160.0/1996.22.160.1 to 96.22.191.25496.22.191.2558,190
18396.22.192.0/1996.22.192.1 to 96.22.223.25496.22.223.2558,190
18496.22.224.0/1996.22.224.1 to 96.22.255.25496.22.255.2558,190
18596.23.0.0/1996.23.0.1 to 96.23.31.25496.23.31.2558,190
18696.23.32.0/1996.23.32.1 to 96.23.63.25496.23.63.2558,190
18796.23.64.0/1996.23.64.1 to 96.23.95.25496.23.95.2558,190
18896.23.96.0/1996.23.96.1 to 96.23.127.25496.23.127.2558,190
18996.23.128.0/1996.23.128.1 to 96.23.159.25496.23.159.2558,190
19096.23.160.0/1996.23.160.1 to 96.23.191.25496.23.191.2558,190
19196.23.192.0/1996.23.192.1 to 96.23.223.25496.23.223.2558,190
19296.23.224.0/1996.23.224.1 to 96.23.255.25496.23.255.2558,190
19396.24.0.0/1996.24.0.1 to 96.24.31.25496.24.31.2558,190
19496.24.32.0/1996.24.32.1 to 96.24.63.25496.24.63.2558,190
19596.24.64.0/1996.24.64.1 to 96.24.95.25496.24.95.2558,190
19696.24.96.0/1996.24.96.1 to 96.24.127.25496.24.127.2558,190
19796.24.128.0/1996.24.128.1 to 96.24.159.25496.24.159.2558,190
19896.24.160.0/1996.24.160.1 to 96.24.191.25496.24.191.2558,190
19996.24.192.0/1996.24.192.1 to 96.24.223.25496.24.223.2558,190
20096.24.224.0/1996.24.224.1 to 96.24.255.25496.24.255.2558,190
20196.25.0.0/1996.25.0.1 to 96.25.31.25496.25.31.2558,190
20296.25.32.0/1996.25.32.1 to 96.25.63.25496.25.63.2558,190
20396.25.64.0/1996.25.64.1 to 96.25.95.25496.25.95.2558,190
20496.25.96.0/1996.25.96.1 to 96.25.127.25496.25.127.2558,190
20596.25.128.0/1996.25.128.1 to 96.25.159.25496.25.159.2558,190
20696.25.160.0/1996.25.160.1 to 96.25.191.25496.25.191.2558,190
20796.25.192.0/1996.25.192.1 to 96.25.223.25496.25.223.2558,190
20896.25.224.0/1996.25.224.1 to 96.25.255.25496.25.255.2558,190
20996.26.0.0/1996.26.0.1 to 96.26.31.25496.26.31.2558,190
21096.26.32.0/1996.26.32.1 to 96.26.63.25496.26.63.2558,190
21196.26.64.0/1996.26.64.1 to 96.26.95.25496.26.95.2558,190
21296.26.96.0/1996.26.96.1 to 96.26.127.25496.26.127.2558,190
21396.26.128.0/1996.26.128.1 to 96.26.159.25496.26.159.2558,190
21496.26.160.0/1996.26.160.1 to 96.26.191.25496.26.191.2558,190
21596.26.192.0/1996.26.192.1 to 96.26.223.25496.26.223.2558,190
21696.26.224.0/1996.26.224.1 to 96.26.255.25496.26.255.2558,190
21796.27.0.0/1996.27.0.1 to 96.27.31.25496.27.31.2558,190
21896.27.32.0/1996.27.32.1 to 96.27.63.25496.27.63.2558,190
21996.27.64.0/1996.27.64.1 to 96.27.95.25496.27.95.2558,190
22096.27.96.0/1996.27.96.1 to 96.27.127.25496.27.127.2558,190
22196.27.128.0/1996.27.128.1 to 96.27.159.25496.27.159.2558,190
22296.27.160.0/1996.27.160.1 to 96.27.191.25496.27.191.2558,190
22396.27.192.0/1996.27.192.1 to 96.27.223.25496.27.223.2558,190
22496.27.224.0/1996.27.224.1 to 96.27.255.25496.27.255.2558,190
22596.28.0.0/1996.28.0.1 to 96.28.31.25496.28.31.2558,190
22696.28.32.0/1996.28.32.1 to 96.28.63.25496.28.63.2558,190
22796.28.64.0/1996.28.64.1 to 96.28.95.25496.28.95.2558,190
22896.28.96.0/1996.28.96.1 to 96.28.127.25496.28.127.2558,190
22996.28.128.0/1996.28.128.1 to 96.28.159.25496.28.159.2558,190
23096.28.160.0/1996.28.160.1 to 96.28.191.25496.28.191.2558,190
23196.28.192.0/1996.28.192.1 to 96.28.223.25496.28.223.2558,190
23296.28.224.0/1996.28.224.1 to 96.28.255.25496.28.255.2558,190
23396.29.0.0/1996.29.0.1 to 96.29.31.25496.29.31.2558,190
23496.29.32.0/1996.29.32.1 to 96.29.63.25496.29.63.2558,190
23596.29.64.0/1996.29.64.1 to 96.29.95.25496.29.95.2558,190
23696.29.96.0/1996.29.96.1 to 96.29.127.25496.29.127.2558,190
23796.29.128.0/1996.29.128.1 to 96.29.159.25496.29.159.2558,190
23896.29.160.0/1996.29.160.1 to 96.29.191.25496.29.191.2558,190
23996.29.192.0/1996.29.192.1 to 96.29.223.25496.29.223.2558,190
24096.29.224.0/1996.29.224.1 to 96.29.255.25496.29.255.2558,190
24196.30.0.0/1996.30.0.1 to 96.30.31.25496.30.31.2558,190
24296.30.32.0/1996.30.32.1 to 96.30.63.25496.30.63.2558,190
24396.30.64.0/1996.30.64.1 to 96.30.95.25496.30.95.2558,190
24496.30.96.0/1996.30.96.1 to 96.30.127.25496.30.127.2558,190
24596.30.128.0/1996.30.128.1 to 96.30.159.25496.30.159.2558,190
24696.30.160.0/1996.30.160.1 to 96.30.191.25496.30.191.2558,190
24796.30.192.0/1996.30.192.1 to 96.30.223.25496.30.223.2558,190
24896.30.224.0/1996.30.224.1 to 96.30.255.25496.30.255.2558,190
24996.31.0.0/1996.31.0.1 to 96.31.31.25496.31.31.2558,190
25096.31.32.0/1996.31.32.1 to 96.31.63.25496.31.63.2558,190
25196.31.64.0/1996.31.64.1 to 96.31.95.25496.31.95.2558,190
25296.31.96.0/1996.31.96.1 to 96.31.127.25496.31.127.2558,190
25396.31.128.0/1996.31.128.1 to 96.31.159.25496.31.159.2558,190
25496.31.160.0/1996.31.160.1 to 96.31.191.25496.31.191.2558,190
25596.31.192.0/1996.31.192.1 to 96.31.223.25496.31.223.2558,190
25696.31.224.0/1996.31.224.1 to 96.31.255.25496.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses